مشکل با نارسایی قالب و پلاگین با به روز رسانی وردپرس

اگر شما یکی از آن افرادی هستید که با نسخه وردپرس نسخه 5.5 به روز رسانی می کنید، شما کنترل سایت را از دست داده اید، یا سایت شما به درستی کار نمی کند یا یکی از پلاگین ها کار نمی کند، نگران نباشید. برای حل مشکل ما بیشتر بخوانید

مشکل با پوسته ها و پلاگین ها با به روز رسانی وردپرس

کمتر از یک دقیقه طول می کشد تا سایت شما دوباره کار کند. اول، مشکل سایت شما احتمالا با کتابخانه جی کوئری جاوا اسکریپت است که از تعدادی از پلاگین ها و تم ها استفاده می کند. به طور خلاصه، وردپرس 5.5 اسکریپت های جی کوئری قدیمی را حذف کرد تا مدرن تر شود. این به این معنی است که مجموعه ای از قالب ها و پلاگین ها باید توسط نویسندگان مربوطه به روز شود. در عین حال، ده ها هزار وب سایت شکسته شده یا نیمه نابود شده اند !!

راه حل

این مراحل را برای حل این مشکل به راحتی و سریع دنبال کنید:

مرحله 1) دانلود، نصب و فعال کردن فعال کردن Enable jQuery Migrate Helper Download

مرحله 2) مرحله دوم وجود ندارد. سایت شما احتمالا اکنون کار می کند

این پلاگین به سایت شما آسیب نمی رساند، بنابراین آن را با خیال راحت امتحان کنید.

نتیجه:

اگر سایت شما هنوز کار نمی کند، به این معنی است که مشکلات شما احتمالا به jQuery مربوط نیست. اگر این روش مشکل شما را حل کند، به این دلیل است که وردپرس 5.5 منفی تا هزاران پلاگین و پوسته ای را که بر روی توابع جاوا اسکریپت قدیمی تکیه می کنند، تحت تاثیر قرار می دهد و این افزونه این توابع منسوخ را فراهم می کند. به یاد داشته باشید که پلاگین های آسیب دیده معتبر و تم ها به روز رسانی ها را برای رفع این مشکل ارائه می دهند، به این معنی که آنها قطعا از توابع جاوا اسکریپت مدرن استفاده خواهند کرد. اگر یک مشکل وجود داشته باشد، پلاگین “فعال کردن جی کوئری مهاجرت” را غیرفعال کنید تا ببینید آیا مشکل حل شده است یا خیر. اگر مشکل همچنان ادامه دارد، به سادگی دوباره پلاگین را فعال کنید.